Summary:	A CGI to verify MX RR:s
Name:		mxverify
Version:	2.99.56
Release:	%mkrel 5
License:	BSD-like
Group:		System/Servers
URL:		http://www.zmailer.org/mxverify.html
Source0:	zmailer-%{version}.tar.bz2
Patch0:		mxverify.patch
Patch1:		zmailer_2.99.56-2.0.0.1.gcc4.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre):  apache-mpm
Requires: 	apache-mpm
BuildRequires:	apache-base >= 2.0.54
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
MXVERIFY-CGI is a WEB CGI utility to test target domain
reachability in SMTP sense.

%prep

%setup -q -n zmailer-%{version}
%patch0 -p0
%patch1 -p1

%build

export CFLAGS="%{optflags}"
./configure --prefix=%{_prefix}

%make -C utils/mxverify

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}/var/www/cgi-bin
install -d %{buildroot}/var/www/%{name}

install -m0755 utils/mxverify/mxverify-cgi %{buildroot}/var/www/cgi-bin/mxverify.cgi
install -m0644 utils/mxverify/mxverify-cgi.html %{buildroot}/var/www/%{name}/index.html

# fix apache config
install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<LocationMatch "/cgi-bin/%{name}.cgi">
    Order Deny,Allow
    Deny from All
    Allow from 127.0.0.1
    ErrorDocument 403 "This CGI can only be run from localhost."
</LocationMatch>

EOF

%post
%_post_webapp

%postun
%_postun_webapp

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc ChangeLog README README.MXVERIFY
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%attr(0755,root,root) /var/www/cgi-bin/%{name}.cgi
%dir %attr(0755,root,root) /var/www/%{name}
%attr(0644,root,root) /var/www/%{name}/index.html


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.99.56-5mdv2008.1
+ Revision: 136611
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.99.56-5mdv2008.0
+ Revision: 43876
- Import mxverify



* Mon Jun 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2.99.56-5mdv2008.0
- fix deps

* Mon Jun 26 2006 Oden Eriksson <oeriksson@mandriva.com> 2.99.56-4mdv2007.0
- relocate to /var/www/%%{name}
- add apache config

* Fri May 06 2005 Oden Eriksson <oeriksson@mandriva.com> 2.99.56-3mdk
- added one gcc4 patch (debian)

* Fri Dec 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.99.56-2mdk
- rebuild

* Wed Nov 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.99.56-1mdk
- the license has been clarified now
- 2.99.56
- full zmailer will follow someday...
- initial cooker contrib

* Sun Sep 01 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.99.56-0.20020901.1mdk
- initial package
